/**
 * ActMoodGoal.java
 *
 * File generated from the medication::ActMoodGoal uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActMoodGoal.
 *
 */

@XmlType(name = "ActMoodGoal")
@XmlEnum
@XmlRootElement(name = "ActMoodGoal")
public enum ActMoodGoal {
	@XmlEnumValue("GOL")
	GOL("GOL");
	
	private final String value;

    ActMoodGoal(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActMoodGoal fromValue(String v) {
        for (ActMoodGoal c: ActMoodGoal.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}